/* CSS Document */

@import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200");

:root {
	--fontfamily-icon: "Material Symbols Outlined";
}

/*-----------------------------------
body.ex-linestamp
-----------------------------------*/
body.ex-linestamp #contents {
	background-image: linear-gradient(0deg, #009f44, #b1d259 80% 100%);
	padding: 0;
}
body.ex-linestamp #contents h2{
	padding: 60px 0 0;
	border: 0;
	margin: 0 auto;
	width: 500px;
	text-align: center;
	background: none;
	position: relative;
	&:before{
		content: "";
		position: absolute;
		display: block;
		background: url(fig_annilogo.png) no-repeat;
		background-size: cover;
        width: 210px;
        height: 100px;
        top: 20px;
        right: -200px;
	}
}
body.ex-linestamp #contents-main{
	background: url(bg.png) no-repeat;
	background-size: 100%;
	width:960px;
	padding: 0 0 60px;
	margin: auto;
	border: solid #fff;
	border-width: 0 4px;
}
body.ex-linestamp #contents-main .header_inner{
	width: 90%;
    margin: 20px auto;
    padding: 20px;
    box-sizing: border-box;
    background: #fffc;
    border-radius: 10px;
    text-align: center;
	> p{
		font-weight: bold;
		display: block;
		font-size: 24px;
        line-height: 1.6em;
        margin: 0 0 20px;
	}

	.header_howto{
		h4{
            display: inline-block;
            background: #e50012;
            color: #fff;
            font-weight: bold;
            border-radius: 30px;
            padding: 10px 20px;
            line-height: 1em;
		}
		ol{
			display: flex;
			flex-wrap: wrap;
			padding: 20px 0;
			gap: 10px;
			counter-reset: number 0;

			li{
				width: calc(100% / 3 - 8px);
                border: 2px solid #e50012;
                padding: 10px;
                border-radius: 10px;
                box-sizing: border-box;
				position: relative;
				background: #fff;

				strong{
					display: block;
					font-size: 15px;
					font-weight: bold;
					color: #e50012;
					margin: 0 0 5px;
                    border-bottom: 2px dashed #e50012;
                    padding: 0 0 5px;
				}
			}
			li strong:before {
				content: counter(number);
				counter-increment: number 1;
				background-color: #e50012;
				border-radius: 50%;
				box-sizing: border-box;
				display: flex;
				justify-content: center;
				align-items: center;
				height: 25px;
				width: 25px;
				color: #fff;
				font-size: 14px;
                line-height: 1;
                position: absolute;
                top: -5px;
                left: -5px;
                font-weight: bold;
			}
		}
	}
}
body.ex-linestamp #contents-main .attention{
	text-align: left;
	line-height: 1.4em;
    margin: 15px 0 0;
	dt{
		font-weight: bold;
		font-size: 16px;
        padding: 0 0 5px;
        margin: 0 0 5px;
        border-bottom: 1px dashed #009f44;
	}
	dd{
		font-size: 14px;
		position: relative;
		padding: 2px 0 2px 16px
	}
	dd:before{
		content: "●";
		color: #009f44;
		display: block;
		position: absolute;
		left: 0;
	}
}

body.ex-linestamp #contents-main .stamp_overview{
	width: 90%;
    margin: 40px auto 0;
	background: #e50012;
	border-radius: 10px;
	h3{
		background: none;
		padding: 20px 10px 20px 100px;
        margin: 0;
        position: relative;
        font-size: 24px;
        font-weight: bold;
        text-align: right;
		color: #fff;
		strong{
			display: block;
			text-align: center;
			padding: 0 0 15px;
			font-size: 90%;
		}
		em{
			font-weight: bold;
			color: #fff000;
			font-size: 30px;
		}
		img{
			position: absolute;
			width: 150px;
			top: -20px;
			left: -30px;
		}
	}
	.stamp_inner{
        padding: 20px;
        box-sizing: border-box;
        background: #fff;
        border-radius: 10px;
        margin: 0 20px;
        border-bottom: 20px solid #e50012;
		> p{
			text-align: center;
			font-weight: bold;
			font-size: 20px;
		}
		p.stamp_coupon{
			padding: 20px 0;
			font-size: 16px;
			line-height: 1.6em;
			background: #e5001211;
            margin: 20px 0;
			em{
				font-weight: bold;
				color: #e50012;
				font-size: 20px;
			}
		}
		.stamp_flow{
			display: flex;
			flex-wrap: wrap;
            align-items: end;
            justify-content: space-between;
			margin: 20px 0 0;
			li{position: relative;}
			li:nth-child(1) img{height: 160px;}
			li:nth-child(2) img{height: 145px;}
			li:nth-child(1):after {
				font-family: var(--fontfamily-icon);
				content: "\eac9";
				font-size: 40px;
				font-variation-settings:'FILL' 0,'wght' 700;
				color: #e50012;
				position: absolute;
                top: 50%;
                right: -38px;
			}
		}
		.stamp_step{
			margin: 20px 0;
			counter-reset: number 0;
			dt{
				display: inline-block;
                background: #e50012;
                color: #fff;
                font-weight: bold;
                border-radius: 10px 10px 0 0;
                padding: 10px 20px;
                line-height: 1em;
			}
			dd{
				padding: 10px 10px 10px 40px;
				border: 2px solid #e50012;
				border-top: none;
				border-bottom-style: dashed;
				position: relative;
			}
			dd:first-of-type{
				border-top-right-radius: 10px;
				border-top: 2px solid #e50012;
			}
			dd:last-of-type{
				border-bottom-left-radius: 10px;
				border-bottom-right-radius: 10px;
				border-bottom-style: solid;
			}
			dd:before{
				content: counter(number);
				counter-increment: number 1;
				border-radius: 50%;
                box-sizing: border-box;
                display: flex;
                justify-content: center;
                align-items: center;
                height: 25px;
                width: 25px;
                color: #fff;
                font-size: 14px;
                line-height: 1;
                position: absolute;
                left: 10px;
                font-weight: bold;
                background: #e50012;
			}
		}
	}
}
body.ex-linestamp #contents-main #freshmarket.stamp_overview{
	background: #fff000;
    margin-top: 80px;
	h3{
		color: #333;
		em{color: #e50012;}
	}
	.stamp_inner{
		border-bottom-color: #fff000;
		.stamp_flow {
            li:nth-child(1) img {height: 184px;}
            li:nth-child(2) img {height: 170px;}
		}
		p.stamp_coupon{
            background: #fff00033;
		}
	}
}

body.ex-linestamp #contents-main .stamp_faq{
	width: 90%;
    margin: 40px auto 0;
    background: #fff;
    border-radius: 10px;
	h3{
		background: none;
        margin: 0;
        font-size: 24px;
        font-weight: bold;
		color: #009f44;
        text-align: center;
		border-bottom: 2px solid #009f44;
	}
	dl{
		padding: 0 20px 10px;
		dt,dd{
			border-bottom: 2px dashed #ccc;
            padding: 20px 10px 20px 60px;
			font-weight: bold;
			font-size: 18px;
            line-height: 1.6em;
			position: relative;
			&:before{
				font-weight: bold;
				font-size: 18px;
				content: "Q.";
                display: block;
                width: 40px;
                height: 40px;
                border-radius: 50%;
                background: #009f44;
                color: #fff;
                text-align: center;
                padding-top: 8px;
                box-sizing: border-box;
                line-height: 1em;
                margin-right: 10px;
                position: absolute;
                top: 15px;
                left: 10px;
			}
		}
		dd{
			border-bottom: 2px solid #009f44;
			font-weight: normal;
			font-size: 14px;
			padding: 20px 10px 15px 60px;
            min-height: 40px;
			&:before{
				content: "A.";
                border: 2px solid #009f44;
				background: #fff;
                color: #009f44;
			}
			&:last-of-type{border-bottom: none;}
		}
	}
}


/*スマホ*/
body.ex-linestamp.sp{
	#contents > .inner{padding: 0;}
	#contents-main{border: none;}
	#contents h2{
        padding: 50px 0 0;
        width: 65%;
        overflow: visible;
		&:before{
	        width: 110px;
			height: 53px;
			top: 10px;
			right: -60px;
		}
	}
	#contents-main .header_inner{
		width:100%;
		border-radius: 0;
        margin-top: 10px;
		> p{font-size: 4.2vw;}
		.header_howto {
			h4{
				font-size: 3.6vw;
				width: 100%;
				box-sizing: border-box;
			}
			ol li{
				width: 100%;
			}
		}
	}
	#contents-main .stamp_overview{
		h3{
			font-size: 4vw;
			padding: 10px;
            text-align: center;
			strong{
				display: block;
				text-align: left;
				padding: 10px 0 15px 90px;
				font-size: 100%;
				line-height: 1.4em;
                border-bottom: 1px dashed #fff;
                margin-bottom: 10px;
			}
			em{font-size: 5.5vw;}
			img{
	            width: 26vw;
				top: -4vw;
				left: -3vw;
			}
		}
		.stamp_inner{
			margin: 0;
			border-bottom: 0;
			border-radius: 0 0 10px 10px;
			> p{font-size: 4vw;}
			p.stamp_coupon{
				font-size: 3.5vw;
				padding: 10px;
				em{font-size: 4vw;}
			}
	        .stamp_flow{
				display: block;
				li:nth-child(1){margin-bottom: 40px;}
				li:nth-child(1) img,li:nth-child(2) img{height: auto;}
				li:nth-child(1):after{
					transform: rotate(90deg);
					top: auto;
					bottom: -30px;
					right: calc(50% - 20px);
				}
			}
		}
	}
}
body.ex-linestamp.sp #contents-main #freshmarket.stamp_overview{
	.stamp_inner .stamp_flow{
		li:nth-child(1) img,li:nth-child(2) img { height: auto;}
	}
	h3 img{top: -10vw;}
}
body.ex-linestamp.sp #contents-main .stamp_faq {
    & dl {
		padding: 0;
        dt,dd {
			padding: 10px 10px 15px 50px;
			&:before {
                font-size: 14px;
                width: 30px;
                height: 30px;
                padding-top: 6px;
                top: 10px;
                left: 10px;
            }
		}
		dt{font-size: 16px;}
	}
}